Bug 253461 - gai-temp crashes frequmently on Dell 5100 laptop
gai-temp crashes frequmently on Dell 5100 laptop
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gai (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 19:11 EDT by Jeff Makus
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report from last gai-temp crash (7.97 KB, text/plain)
2007-08-19 19:11 EDT, Jeff Makus
no flags Details

  None (edit)
Description Jeff Makus 2007-08-19 19:11:04 EDT
Description of problem:

I find that in Fedora Core 7 that gai-temp applet crashes frequently.  Hardware
is Dell 5100 laptop.  I've attached a bug report in txt format

Version-Release number of selected component (if applicable):
gai-temp-0.1.1-6

How reproducible:
Does not happen all the time so it is hard to reproduce the crashes.  Seems good
one day and then next it is not.  I use the applet to watch the CPU temp.
Comment 1 Jeff Makus 2007-08-19 19:11:04 EDT
Created attachment 161830 [details]
Bug report from last gai-temp crash
Comment 2 Michael Schwendt 2007-08-19 19:34:06 EDT
Please install as many missing -debuginfo packages as
necessary to fill in the missing details in the backtrace:
http://fedoraproject.org/wiki/StackTraces

At least:

yum --enablerepo=fedora-debuginfo install \
  libgnomeui-debuginfo gtk2-debuginfo glib2-debuginfo \
  gai-debuginfo libbonobo-debuginfo


Btw, the backtrace does not end in GAI.
Do you use any special theme or desktop customisations?
Comment 3 Jeff Makus 2007-08-19 19:43:34 EDT
Ok, I have installed the packages.  I will see what happens next.
No special theme or desktop customization.  Just a .jpg for the background of
the desktop.
Much Thanks for you help and expertise
Comment 4 Michael Schwendt 2007-08-19 21:14:25 EDT
Reassigning. The strange backtrace ends in gtk2 called from gai.

The window manager warnings at the end of the attached log in 
comment 1 give reason to worry. Hardware problems?
Comment 5 Michel Alexandre Salim 2007-09-05 22:43:17 EDT
Any updated backtrace? Is the bug triggered after a cold boot, or just after
resuming from sleep / hibernate?
Comment 6 Michel Alexandre Salim 2007-09-17 17:17:24 EDT
ps Michael, gai-temp does not currently use %{?dist} tag in release. The license
is weird too -- in the source it just says "GPL", without any version. Might
want to ask upstream if he means GPL, any version, GPLv2 only, v2+, v3 only, or
v3+ (granted, v3 was not released before package was last updated).

I've been running gai-temp for a full day now and no crash yet. Setting status
to NEEDINFO and will close if there is no more inputs.
Comment 7 Michael Schwendt 2007-09-17 17:51:29 EDT
no %dist tag is fully intentional

GPL+ is following the "GPL (no version)" guidelines
Comment 8 Jeff Makus 2007-09-25 16:10:27 EDT
I have not had a problem for a long time now.  It must have been fixed by an
update to another program or even the kernel??
You may close at any time.  Thanks for your selfless help.
Jeff
Comment 9 Michel Alexandre Salim 2007-10-04 11:41:11 EDT
Thanks for confirming. It's probably the kernel -- ACPI is a spec only an EU
bureucrat could love.

Note You need to log in before you can comment on or make changes to this bug.